extends Area3D

# place a Node3D at the desired destination and assign it here, and when an item hits the teleporter it'll be warped to that point!
@export var destinationMarker:Node3D

func _physics_process(_delta: float) -> void:
	var overlapping_bodies = get_overlapping_bodies()
	for body in overlapping_bodies:
		if (body.is_in_group("item") or body.is_in_group("canTriggerSwitch")) and destinationMarker:
			body.global_position = destinationMarker.global_position;
